{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.gaming;
in {
  options.ptw.programs.gaming = {
    enable = lib.mkEnableOption "Configure gaming options";
  };
  config = lib.mkIf cfg.enable {
    nixpkgs.config.retroarch = {
      enableDesmume = true;
      enableMGBA = true;
      enableDolphin = true;
    };

    environment.systemPackages = with pkgs; [
      winePackages.stagingFull winetricks lutris-free-wrapped

      retroarch
      
      steam-wrapped # Custom package
      
      nur.repos.dukzcry.gamescope
    ];

    hardware.steam-hardware.enable = true;
  };
}
